'/////////////////////////////////////////////////////////////////////////
'//                     (C)2006-2022 KoXo Developpement
'//                       KoXo Log Session Login Script
'/////////////////////////////////////////////////////////////////////////
Dim Exec, Param, Server, Action, Share
Server="%PDC_SERVER%"
Action="[LOG?]"
Share="Logs$"
GetArgs Server,Share,Action
If UCase(Server)="%PDC_SERVER%" Then
   Server=GetPDC
End If
If UCase(Server)="%LOGON_SERVER%" Then
   Server=GetLogonServer
End If
Set Wscr=CreateObject("WScript.Shell")
Exec=Replace(WScript.ScriptFullName,WScript.ScriptName,"logsessions.vbs")
Param="\\" & Server & "\" & Share & " " & Action
WScr.Run Exec & " " & Param, 1, True
WScript.Quit
'/////////////////////////////////////////////////////////////////////////
'// Get the logon server
Function GetLogonServer()
Set objShell=CreateObject("WScript.Shell")
LogonServer = objShell.ExpandEnvironmentStrings("%LOGONSERVER%")
GetLogonServer = Replace(LogonServer,"\\","")
End Function
'/////////////////////////////////////////////////////////////////////////
'// Get the PDC server
Function GetPDC()
Dim objRootDSE, objDomain, objNtds, objComputer 
Set objRootDSE=GetObject("LDAP://rootDSE")
Set objDomain=GetObject _  
    ("LDAP://" & objRootDSE.Get("defaultNamingContext"))
strPdcEmulator=objDomain.Get("fSMORoleOwner")
Set objNtds=GetObject("LDAP://" & strPdcEmulator)
Set objComputer=GetObject(objNtds.Parent)
GetPDC=objComputer.cn
End Function
'/////////////////////////////////////////////////////////////////////////
'// Execution parameters
Function GetArgs(Server,Share,Action)
 On Error Resume Next
 Dim objArg
 Set objArgs=WScript.Arguments
 If objArgs.Count>0 Then
    For i=0 To objArgs.Count-1 
        If i=0 Then Server=objArgs.Item(i) End If
        If i=1 Then Share=objArgs.Item(i) End If
        If i=2 Then Action=objArgs.Item(i) End If
    Next
 End If
End Function
'/////////////////////////////////////////////////////////////////////////
